Subject: Re: bug#44180: 28.0.50; Emacs frames won't redisplay unless resized

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Oct 2020 11:03:26 +0300

> From: Eric Abrahamsen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 23 Oct 2020 14:07:00 -0700
> 
> >> (mapcar (lambda (f) (frame-parameter f 'visibility)) (frame-list))
> >> => (icon icon t)df
> >> 
> >> Whichever frame I've forced to be "live" always gets t, and the others
> >> become icons.
> >
> > What do you mean by "become icons"?  Are they visible or aren't they?
> 
> I just meant that their 'visibility frame-parameter became 'icon. Their
> "real" visibility is the same as always -- the two non-focused frames
> are visible only as stacked title bars above the currently focused frame.

Isn't that a bug that needs to be fixed, regardless?  Emacs will not
handle iconified frames as it does visible frames, so sooner or later
problems will appear due to that.

> >> I haven't changed anything in my window manager config, and the i3
> >> package hasn't been updated since August. The only recent commit that
> >> looks like it could be at all relevant is 2c0cd90083.
> >
> > And if you revert that change, does the problem go away?
> 
> Yes it does!

Then I guess we will have to revert at least part of that change.